summaryrefslogtreecommitdiff
path: root/Microbenchmarks
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2023-12-11 12:11:49 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2023-12-11 12:11:49 +0100
commitf1fbecc7a02aafdba953479f5c91f09c4a195484 (patch)
tree54d53ec76fbac13365c8e9b4ca31360521133c32 /Microbenchmarks
parent7effe7d6ea085bd9bc80c60589e5f9cbe2471249 (diff)
CPU-DPU run scrips: kill stress and mpstat
Diffstat (limited to 'Microbenchmarks')
-rwxr-xr-xMicrobenchmarks/CPU-DPU/run-alloc.sh7
-rwxr-xr-xMicrobenchmarks/CPU-DPU/run-transfer.sh7
2 files changed, 12 insertions, 2 deletions
diff --git a/Microbenchmarks/CPU-DPU/run-alloc.sh b/Microbenchmarks/CPU-DPU/run-alloc.sh
index 9c553b1..3ffd59e 100755
--- a/Microbenchmarks/CPU-DPU/run-alloc.sh
+++ b/Microbenchmarks/CPU-DPU/run-alloc.sh
@@ -2,7 +2,12 @@
NCORES=$(grep -c '^processor' /proc/cpuinfo)
-trap "pkill -f 'stress -c ${NCORES}'" INT
+cleanexit() {
+ pkill -f "stress -c ${NCORES}"
+ pkill -f mpstat
+}
+
+trap cleanexit TERM INT
set -e
diff --git a/Microbenchmarks/CPU-DPU/run-transfer.sh b/Microbenchmarks/CPU-DPU/run-transfer.sh
index f835f0c..e247105 100755
--- a/Microbenchmarks/CPU-DPU/run-transfer.sh
+++ b/Microbenchmarks/CPU-DPU/run-transfer.sh
@@ -2,7 +2,12 @@
NCORES=$(grep -c '^processor' /proc/cpuinfo)
-trap "pkill -f 'stress -c ${NCORES}'" INT
+cleanexit() {
+ pkill -f "stress -c ${NCORES}"
+ pkill -f mpstat
+}
+
+trap cleanexit TERM INT
set -e